# Generated by Django 5.1.6 on 2025-04-21 08:23

import django.db.models.deletion
import nilva_session.utils
import uuid
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='UserSession',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('key', models.CharField(default=nilva_session.utils.token_generator, max_length=64, unique=True, verbose_name='key')),
                ('expire_at', models.DateTimeField(blank=True, default=nilva_session.utils.token_expire_at_generator, null=True, verbose_name='expire at')),
                ('is_active', models.BooleanField(default=True, verbose_name='is active')),
                ('last_online', models.DateTimeField(auto_now=True, verbose_name='last online')),
                ('last_ip', models.GenericIPAddressField(unpack_ipv4=True, verbose_name='last ip')),
                ('user_agent', models.TextField(verbose_name='user agent')),
                ('detail', models.TextField(blank=True, null=True, verbose_name='detail')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sessions', to=settings.AUTH_USER_MODEL, verbose_name='session')),
            ],
            options={
                'verbose_name': 'user session',
                'verbose_name_plural': 'user sessions',
                'db_table': 'user_session',
            },
        ),
    ]
